<?php
header('Content-Type: application/json');
header('Access-Control-Allow-Origin: *');

// Token da API (deve ser movido para um arquivo de configuração em produção)
$token = 'fpsc';

// Pega o CPF da query string
$cpf = isset($_GET['cpf']) ? $_GET['cpf'] : '';

if (empty($cpf)) {
    http_response_code(400);
    echo json_encode(['error' => 'CPF não fornecido']);
    exit;
}

// URL da API
$apiUrl = "https://searchapi.dnnl.live/consulta?token_api={$token}&cpf={$cpf}";

// Faz a requisição para a API
$response = file_get_contents($apiUrl);

if ($response === false) {
    http_response_code(500);
    echo json_encode(['error' => 'Erro ao consultar a API']);
    exit;
}

// Retorna a resposta da API
echo $response;
